Get a budget for the organization.

GET /api/v1/billing/organization/{organization_id}/budgets/{budget_id}

Retrieves a budget for the specified organization. Admins receive any budget in the organization. Non-admins receive organization-scoped budgets with 403 Forbidden; cloud-resource-scoped budgets are returned only when all scope values are instances they can access, otherwise 403 Forbidden.

Path parameters

  • organization_id string Required

    The organization ID

  • budget_id integer Required

    The budget ID

Responses

  • 200 application/json

    Budget successfully retrieved

    Hide response attributes Show response attributes object
    • active boolean Required
    • alerts array[object] Required

      BudgetAlert(id: 'int', operator: '_types.Operator', threshold: 'int', threshold_type: '_types.ThresholdType', created_at: 'str | None', last_exceeded_at: 'str | None')

      Hide alerts attributes Show alerts attributes object

      BudgetAlert(id: 'int', operator: '_types.Operator', threshold: 'int', threshold_type: '_types.ThresholdType', created_at: 'str | None', last_exceeded_at: 'str | None')

      • created_at string
      • id integer Required
      • last_exceeded_at string
      • operator string Required

        Values are gte or lte.

      • threshold integer Required
      • threshold_type string Required

        Values are percentage or amount.

    • amount integer Required
    • created_at string
    • id integer Required
    • name string
    • period string Required

      Value is monthly.

    • recipient_group array[string] Required

      Values are organization-admins, billing-admins, resource-viewers, resource-editors, or resource-admins.

    • scope_type string Required

      Values are organization or cloud_resource.

    • scope_values array[string] Required
  • 403

    Not allowed to read this budget

  • 404

    Budget not found

  • 500

    Internal server error

GET /api/v1/billing/organization/{organization_id}/budgets/{budget_id}
curl \
 --request GET 'https://cloud.elastic.co/api/v1/billing/organization/{organization_id}/budgets/{budget_id}'